from .. import elements as el


def checkbox(*label, **props):
    with el.container(direction="horizontal", gap=2, align="start"):
        cb = el.checkbox(*label, **props)

        if cb.valid or not cb.edited:
            cb.checkbox_color = el.theme().primary_color
            cb.font_color = None
            cb.background_color = None
        else:
            cb.checkbox_color = el.theme().error_color
            cb.background_color = el.lighten(el.theme().error_color, 130)
            cb.font_color = el.theme().error_color

        if cb.required:
            el.text("*", font_color=el.theme().error_color)

    return cb
