from nose.tools import assert_raises
from ...core.unittests import simple_test
from ... import elements as el
from ..drawer import drawer, tray


@simple_test
def test_drawer(ctx):
    d = drawer()
    assert d.position == "left"

    assert d.content_slot.is_empty
    with d.content():
        child = el.text("Hello")
    assert not d.content_slot.is_empty
    assert len(d.element.children) == 1
    assert d.element.children[0].name == "container"
    assert d.element.children[0].children == [child]

    assert_raises(ValueError, drawer, position="top")
    assert_raises(ValueError, drawer, position="bottom")
    assert_raises(ValueError, drawer, position="bunnies")

    drawer(position="left")
    drawer(position="right")


@simple_test
def test_tray(ctx):
    t = tray()
    assert t.position == "bottom"

    assert t.content_slot.is_empty
    with t.content():
        child = el.text("Hello")
    assert not t.content_slot.is_empty
    assert len(t.element.children) == 1
    assert t.element.children[0].name == "container"
    assert t.element.children[0].children == [child]

    assert_raises(ValueError, tray, position="left")
    assert_raises(ValueError, tray, position="right")
    assert_raises(ValueError, tray, position="bunnies")

    tray(position="bottom")
    tray(position="top")
