from .style_utils import parse_outline
from ..core.element import Prop, Element


class FormInput(Element):
    value = Prop(None)
    disabled = Prop(False)
    valid = Prop(True)
    required = Prop(False)
    focus_outline = Prop("auto", parse=parse_outline)

    @property
    def edited(self):
        return self.mutated("value")

    @property
    def is_empty(self):
        return self.value

    def reset(self):
        self.reset_prop("value")
        self.reset_prop("valid")
