from enum import Enum

from .styled_element import StyledElement
from ..core.element import Prop, RemoveProp


class Icons(Enum):

    ZeroSolid = "fas fa-0"
    OneSolid = "fas fa-1"
    TwoSolid = "fas fa-2"
    ThreeSolid = "fas fa-3"
    FourSolid = "fas fa-4"
    FortyTwoGroupBrands = "fab fa-42-group"
    FiveSolid = "fas fa-5"
    FiveHundredpxBrands = "fab fa-500px"
    SixSolid = "fas fa-6"
    SevenSolid = "fas fa-7"
    EightSolid = "fas fa-8"
    NineSolid = "fas fa-9"
    ASolid = "fas fa-a"
    AccessibleIconBrands = "fab fa-accessible-icon"
    AccusoftBrands = "fab fa-accusoft"
    AddressBookSolid = "fas fa-address-book"
    AddressBook = "far fa-address-book"
    AddressCardSolid = "fas fa-address-card"
    AddressCard = "far fa-address-card"
    AdnBrands = "fab fa-adn"
    AdversalBrands = "fab fa-adversal"
    AffiliatethemeBrands = "fab fa-affiliatetheme"
    AirbnbBrands = "fab fa-airbnb"
    AlgoliaBrands = "fab fa-algolia"
    AlignCenterSolid = "fas fa-align-center"
    AlignJustifySolid = "fas fa-align-justify"
    AlignLeftSolid = "fas fa-align-left"
    AlignRightSolid = "fas fa-align-right"
    AlipayBrands = "fab fa-alipay"
    AmazonBrands = "fab fa-amazon"
    AmazonPayBrands = "fab fa-amazon-pay"
    AmiliaBrands = "fab fa-amilia"
    AnchorSolid = "fas fa-anchor"
    AndroidBrands = "fab fa-android"
    AngellistBrands = "fab fa-angellist"
    AngleDownSolid = "fas fa-angle-down"
    AngleLeftSolid = "fas fa-angle-left"
    AngleRightSolid = "fas fa-angle-right"
    AngleUpSolid = "fas fa-angle-up"
    AnglesDownSolid = "fas fa-angles-down"
    AnglesLeftSolid = "fas fa-angles-left"
    AnglesRightSolid = "fas fa-angles-right"
    AnglesUpSolid = "fas fa-angles-up"
    AngrycreativeBrands = "fab fa-angrycreative"
    AngularBrands = "fab fa-angular"
    AnkhSolid = "fas fa-ankh"
    AppStoreBrands = "fab fa-app-store"
    AppStoreIosBrands = "fab fa-app-store-ios"
    ApperBrands = "fab fa-apper"
    AppleBrands = "fab fa-apple"
    ApplePayBrands = "fab fa-apple-pay"
    AppleWholeSolid = "fas fa-apple-whole"
    ArchwaySolid = "fas fa-archway"
    ArrowDownSolid = "fas fa-arrow-down"
    ArrowDown19Solid = "fas fa-arrow-down-1-9"
    ArrowDown91Solid = "fas fa-arrow-down-9-1"
    ArrowDownAZSolid = "fas fa-arrow-down-a-z"
    ArrowDownLongSolid = "fas fa-arrow-down-long"
    ArrowDownShortWideSolid = "fas fa-arrow-down-short-wide"
    ArrowDownWideShortSolid = "fas fa-arrow-down-wide-short"
    ArrowDownZASolid = "fas fa-arrow-down-z-a"
    ArrowLeftSolid = "fas fa-arrow-left"
    ArrowLeftLongSolid = "fas fa-arrow-left-long"
    ArrowPointerSolid = "fas fa-arrow-pointer"
    ArrowRightSolid = "fas fa-arrow-right"
    ArrowRightArrowLeftSolid = "fas fa-arrow-right-arrow-left"
    ArrowRightFromBracketSolid = "fas fa-arrow-right-from-bracket"
    ArrowRightLongSolid = "fas fa-arrow-right-long"
    ArrowRightToBracketSolid = "fas fa-arrow-right-to-bracket"
    ArrowRotateLeftSolid = "fas fa-arrow-rotate-left"
    ArrowRotateRightSolid = "fas fa-arrow-rotate-right"
    ArrowTrendDownSolid = "fas fa-arrow-trend-down"
    ArrowTrendUpSolid = "fas fa-arrow-trend-up"
    ArrowTurnDownSolid = "fas fa-arrow-turn-down"
    ArrowTurnUpSolid = "fas fa-arrow-turn-up"
    ArrowUpSolid = "fas fa-arrow-up"
    ArrowUp19Solid = "fas fa-arrow-up-1-9"
    ArrowUp91Solid = "fas fa-arrow-up-9-1"
    ArrowUpAZSolid = "fas fa-arrow-up-a-z"
    ArrowUpFromBracketSolid = "fas fa-arrow-up-from-bracket"
    ArrowUpLongSolid = "fas fa-arrow-up-long"
    ArrowUpRightFromSquareSolid = "fas fa-arrow-up-right-from-square"
    ArrowUpShortWideSolid = "fas fa-arrow-up-short-wide"
    ArrowUpWideShortSolid = "fas fa-arrow-up-wide-short"
    ArrowUpZASolid = "fas fa-arrow-up-z-a"
    ArrowsLeftRightSolid = "fas fa-arrows-left-right"
    ArrowsRotateSolid = "fas fa-arrows-rotate"
    ArrowsUpDownSolid = "fas fa-arrows-up-down"
    ArrowsUpDownLeftRightSolid = "fas fa-arrows-up-down-left-right"
    ArtstationBrands = "fab fa-artstation"
    AsteriskSolid = "fas fa-asterisk"
    AsymmetrikBrands = "fab fa-asymmetrik"
    AtSolid = "fas fa-at"
    AtlassianBrands = "fab fa-atlassian"
    AtomSolid = "fas fa-atom"
    AudibleBrands = "fab fa-audible"
    AudioDescriptionSolid = "fas fa-audio-description"
    AustralSignSolid = "fas fa-austral-sign"
    AutoprefixerBrands = "fab fa-autoprefixer"
    AvianexBrands = "fab fa-avianex"
    AviatoBrands = "fab fa-aviato"
    AwardSolid = "fas fa-award"
    AwsBrands = "fab fa-aws"
    BSolid = "fas fa-b"
    BabySolid = "fas fa-baby"
    BabyCarriageSolid = "fas fa-baby-carriage"
    BackwardSolid = "fas fa-backward"
    BackwardFastSolid = "fas fa-backward-fast"
    BackwardStepSolid = "fas fa-backward-step"
    BaconSolid = "fas fa-bacon"
    BacteriaSolid = "fas fa-bacteria"
    BacteriumSolid = "fas fa-bacterium"
    BagShoppingSolid = "fas fa-bag-shopping"
    BahaiSolid = "fas fa-bahai"
    BahtSignSolid = "fas fa-baht-sign"
    BanSolid = "fas fa-ban"
    BanSmokingSolid = "fas fa-ban-smoking"
    BandageSolid = "fas fa-bandage"
    BandcampBrands = "fab fa-bandcamp"
    BarcodeSolid = "fas fa-barcode"
    BarsSolid = "fas fa-bars"
    BarsProgressSolid = "fas fa-bars-progress"
    BarsStaggeredSolid = "fas fa-bars-staggered"
    BaseballSolid = "fas fa-baseball"
    BaseballBatBallSolid = "fas fa-baseball-bat-ball"
    BasketShoppingSolid = "fas fa-basket-shopping"
    BasketballSolid = "fas fa-basketball"
    BathSolid = "fas fa-bath"
    BatteryEmptySolid = "fas fa-battery-empty"
    BatteryFullSolid = "fas fa-battery-full"
    BatteryHalfSolid = "fas fa-battery-half"
    BatteryQuarterSolid = "fas fa-battery-quarter"
    BatteryThreeQuartersSolid = "fas fa-battery-three-quarters"
    BattleNetBrands = "fab fa-battle-net"
    BedSolid = "fas fa-bed"
    BedPulseSolid = "fas fa-bed-pulse"
    BeerMugEmptySolid = "fas fa-beer-mug-empty"
    BehanceBrands = "fab fa-behance"
    BehanceSquareBrands = "fab fa-behance-square"
    BellSolid = "fas fa-bell"
    Bell = "far fa-bell"
    BellConciergeSolid = "fas fa-bell-concierge"
    BellSlashSolid = "fas fa-bell-slash"
    BellSlash = "far fa-bell-slash"
    BezierCurveSolid = "fas fa-bezier-curve"
    BicycleSolid = "fas fa-bicycle"
    BilibiliBrands = "fab fa-bilibili"
    BimobjectBrands = "fab fa-bimobject"
    BinocularsSolid = "fas fa-binoculars"
    BiohazardSolid = "fas fa-biohazard"
    BitbucketBrands = "fab fa-bitbucket"
    BitcoinBrands = "fab fa-bitcoin"
    BitcoinSignSolid = "fas fa-bitcoin-sign"
    BityBrands = "fab fa-bity"
    BlackTieBrands = "fab fa-black-tie"
    BlackberryBrands = "fab fa-blackberry"
    BlenderSolid = "fas fa-blender"
    BlenderPhoneSolid = "fas fa-blender-phone"
    BlogSolid = "fas fa-blog"
    BloggerBrands = "fab fa-blogger"
    BloggerBBrands = "fab fa-blogger-b"
    BluetoothBrands = "fab fa-bluetooth"
    BluetoothBBrands = "fab fa-bluetooth-b"
    BoldSolid = "fas fa-bold"
    BoltSolid = "fas fa-bolt"
    BoltLightningSolid = "fas fa-bolt-lightning"
    BombSolid = "fas fa-bomb"
    BoneSolid = "fas fa-bone"
    BongSolid = "fas fa-bong"
    BookSolid = "fas fa-book"
    BookAtlasSolid = "fas fa-book-atlas"
    BookBibleSolid = "fas fa-book-bible"
    BookJournalWhillsSolid = "fas fa-book-journal-whills"
    BookMedicalSolid = "fas fa-book-medical"
    BookOpenSolid = "fas fa-book-open"
    BookOpenReaderSolid = "fas fa-book-open-reader"
    BookQuranSolid = "fas fa-book-quran"
    BookSkullSolid = "fas fa-book-skull"
    BookmarkSolid = "fas fa-bookmark"
    Bookmark = "far fa-bookmark"
    BootstrapBrands = "fab fa-bootstrap"
    BorderAllSolid = "fas fa-border-all"
    BorderNoneSolid = "fas fa-border-none"
    BorderTopLeftSolid = "fas fa-border-top-left"
    BotsBrands = "fab fa-bots"
    BowlingBallSolid = "fas fa-bowling-ball"
    BoxSolid = "fas fa-box"
    BoxArchiveSolid = "fas fa-box-archive"
    BoxOpenSolid = "fas fa-box-open"
    BoxTissueSolid = "fas fa-box-tissue"
    BoxesStackedSolid = "fas fa-boxes-stacked"
    BrailleSolid = "fas fa-braille"
    BrainSolid = "fas fa-brain"
    BrazilianRealSignSolid = "fas fa-brazilian-real-sign"
    BreadSliceSolid = "fas fa-bread-slice"
    BriefcaseSolid = "fas fa-briefcase"
    BriefcaseMedicalSolid = "fas fa-briefcase-medical"
    BroomSolid = "fas fa-broom"
    BroomBallSolid = "fas fa-broom-ball"
    BrushSolid = "fas fa-brush"
    BtcBrands = "fab fa-btc"
    BufferBrands = "fab fa-buffer"
    BugSolid = "fas fa-bug"
    BugSlashSolid = "fas fa-bug-slash"
    BuildingSolid = "fas fa-building"
    Building = "far fa-building"
    BuildingColumnsSolid = "fas fa-building-columns"
    BullhornSolid = "fas fa-bullhorn"
    BullseyeSolid = "fas fa-bullseye"
    BurgerSolid = "fas fa-burger"
    BuromobelexperteBrands = "fab fa-buromobelexperte"
    BusSolid = "fas fa-bus"
    BusSimpleSolid = "fas fa-bus-simple"
    BusinessTimeSolid = "fas fa-business-time"
    BuyNLargeBrands = "fab fa-buy-n-large"
    BuyselladsBrands = "fab fa-buysellads"
    CSolid = "fas fa-c"
    CakeCandlesSolid = "fas fa-cake-candles"
    CalculatorSolid = "fas fa-calculator"
    CalendarSolid = "fas fa-calendar"
    Calendar = "far fa-calendar"
    CalendarCheckSolid = "fas fa-calendar-check"
    CalendarCheck = "far fa-calendar-check"
    CalendarDaySolid = "fas fa-calendar-day"
    CalendarDaysSolid = "fas fa-calendar-days"
    CalendarDays = "far fa-calendar-days"
    CalendarMinusSolid = "fas fa-calendar-minus"
    CalendarMinus = "far fa-calendar-minus"
    CalendarPlusSolid = "fas fa-calendar-plus"
    CalendarPlus = "far fa-calendar-plus"
    CalendarWeekSolid = "fas fa-calendar-week"
    CalendarXmarkSolid = "fas fa-calendar-xmark"
    CalendarXmark = "far fa-calendar-xmark"
    CameraSolid = "fas fa-camera"
    CameraRetroSolid = "fas fa-camera-retro"
    CameraRotateSolid = "fas fa-camera-rotate"
    CampgroundSolid = "fas fa-campground"
    CanadianMapleLeafBrands = "fab fa-canadian-maple-leaf"
    CandyCaneSolid = "fas fa-candy-cane"
    CannabisSolid = "fas fa-cannabis"
    CapsulesSolid = "fas fa-capsules"
    CarSolid = "fas fa-car"
    CarBatterySolid = "fas fa-car-battery"
    CarCrashSolid = "fas fa-car-crash"
    CarRearSolid = "fas fa-car-rear"
    CarSideSolid = "fas fa-car-side"
    CaravanSolid = "fas fa-caravan"
    CaretDownSolid = "fas fa-caret-down"
    CaretLeftSolid = "fas fa-caret-left"
    CaretRightSolid = "fas fa-caret-right"
    CaretUpSolid = "fas fa-caret-up"
    CarrotSolid = "fas fa-carrot"
    CartArrowDownSolid = "fas fa-cart-arrow-down"
    CartFlatbedSolid = "fas fa-cart-flatbed"
    CartFlatbedSuitcaseSolid = "fas fa-cart-flatbed-suitcase"
    CartPlusSolid = "fas fa-cart-plus"
    CartShoppingSolid = "fas fa-cart-shopping"
    CashRegisterSolid = "fas fa-cash-register"
    CatSolid = "fas fa-cat"
    CcAmazonPayBrands = "fab fa-cc-amazon-pay"
    CcAmexBrands = "fab fa-cc-amex"
    CcApplePayBrands = "fab fa-cc-apple-pay"
    CcDinersClubBrands = "fab fa-cc-diners-club"
    CcDiscoverBrands = "fab fa-cc-discover"
    CcJcbBrands = "fab fa-cc-jcb"
    CcMastercardBrands = "fab fa-cc-mastercard"
    CcPaypalBrands = "fab fa-cc-paypal"
    CcStripeBrands = "fab fa-cc-stripe"
    CcVisaBrands = "fab fa-cc-visa"
    CediSignSolid = "fas fa-cedi-sign"
    CentSignSolid = "fas fa-cent-sign"
    CentercodeBrands = "fab fa-centercode"
    CentosBrands = "fab fa-centos"
    CertificateSolid = "fas fa-certificate"
    ChairSolid = "fas fa-chair"
    ChalkboardSolid = "fas fa-chalkboard"
    ChalkboardUserSolid = "fas fa-chalkboard-user"
    ChampagneGlassesSolid = "fas fa-champagne-glasses"
    ChargingStationSolid = "fas fa-charging-station"
    ChartAreaSolid = "fas fa-chart-area"
    ChartBarSolid = "fas fa-chart-bar"
    ChartBar = "far fa-chart-bar"
    ChartColumnSolid = "fas fa-chart-column"
    ChartGanttSolid = "fas fa-chart-gantt"
    ChartLineSolid = "fas fa-chart-line"
    ChartPieSolid = "fas fa-chart-pie"
    CheckSolid = "fas fa-check"
    CheckDoubleSolid = "fas fa-check-double"
    CheckToSlotSolid = "fas fa-check-to-slot"
    CheeseSolid = "fas fa-cheese"
    ChessSolid = "fas fa-chess"
    ChessBishopSolid = "fas fa-chess-bishop"
    ChessBishop = "far fa-chess-bishop"
    ChessBoardSolid = "fas fa-chess-board"
    ChessKingSolid = "fas fa-chess-king"
    ChessKing = "far fa-chess-king"
    ChessKnightSolid = "fas fa-chess-knight"
    ChessKnight = "far fa-chess-knight"
    ChessPawnSolid = "fas fa-chess-pawn"
    ChessPawn = "far fa-chess-pawn"
    ChessQueenSolid = "fas fa-chess-queen"
    ChessQueen = "far fa-chess-queen"
    ChessRookSolid = "fas fa-chess-rook"
    ChessRook = "far fa-chess-rook"
    ChevronDownSolid = "fas fa-chevron-down"
    ChevronLeftSolid = "fas fa-chevron-left"
    ChevronRightSolid = "fas fa-chevron-right"
    ChevronUpSolid = "fas fa-chevron-up"
    ChildSolid = "fas fa-child"
    ChromeBrands = "fab fa-chrome"
    ChromecastBrands = "fab fa-chromecast"
    ChurchSolid = "fas fa-church"
    CircleSolid = "fas fa-circle"
    Circle = "far fa-circle"
    CircleArrowDownSolid = "fas fa-circle-arrow-down"
    CircleArrowLeftSolid = "fas fa-circle-arrow-left"
    CircleArrowRightSolid = "fas fa-circle-arrow-right"
    CircleArrowUpSolid = "fas fa-circle-arrow-up"
    CircleCheckSolid = "fas fa-circle-check"
    CircleCheck = "far fa-circle-check"
    CircleChevronDownSolid = "fas fa-circle-chevron-down"
    CircleChevronLeftSolid = "fas fa-circle-chevron-left"
    CircleChevronRightSolid = "fas fa-circle-chevron-right"
    CircleChevronUpSolid = "fas fa-circle-chevron-up"
    CircleDollarToSlotSolid = "fas fa-circle-dollar-to-slot"
    CircleDotSolid = "fas fa-circle-dot"
    CircleDot = "far fa-circle-dot"
    CircleDownSolid = "fas fa-circle-down"
    CircleDown = "far fa-circle-down"
    CircleExclamationSolid = "fas fa-circle-exclamation"
    CircleHSolid = "fas fa-circle-h"
    CircleHalfStrokeSolid = "fas fa-circle-half-stroke"
    CircleInfoSolid = "fas fa-circle-info"
    CircleLeftSolid = "fas fa-circle-left"
    CircleLeft = "far fa-circle-left"
    CircleMinusSolid = "fas fa-circle-minus"
    CircleNotchSolid = "fas fa-circle-notch"
    CirclePauseSolid = "fas fa-circle-pause"
    CirclePause = "far fa-circle-pause"
    CirclePlaySolid = "fas fa-circle-play"
    CirclePlay = "far fa-circle-play"
    CirclePlusSolid = "fas fa-circle-plus"
    CircleQuestionSolid = "fas fa-circle-question"
    CircleQuestion = "far fa-circle-question"
    CircleRadiationSolid = "fas fa-circle-radiation"
    CircleRightSolid = "fas fa-circle-right"
    CircleRight = "far fa-circle-right"
    CircleStopSolid = "fas fa-circle-stop"
    CircleStop = "far fa-circle-stop"
    CircleUpSolid = "fas fa-circle-up"
    CircleUp = "far fa-circle-up"
    CircleUserSolid = "fas fa-circle-user"
    CircleUser = "far fa-circle-user"
    CircleXmarkSolid = "fas fa-circle-xmark"
    CircleXmark = "far fa-circle-xmark"
    CitySolid = "fas fa-city"
    ClapperboardSolid = "fas fa-clapperboard"
    ClipboardSolid = "fas fa-clipboard"
    Clipboard = "far fa-clipboard"
    ClipboardCheckSolid = "fas fa-clipboard-check"
    ClipboardListSolid = "fas fa-clipboard-list"
    ClockSolid = "fas fa-clock"
    Clock = "far fa-clock"
    ClockRotateLeftSolid = "fas fa-clock-rotate-left"
    CloneSolid = "fas fa-clone"
    Clone = "far fa-clone"
    ClosedCaptioningSolid = "fas fa-closed-captioning"
    ClosedCaptioning = "far fa-closed-captioning"
    CloudSolid = "fas fa-cloud"
    CloudArrowDownSolid = "fas fa-cloud-arrow-down"
    CloudArrowUpSolid = "fas fa-cloud-arrow-up"
    CloudMeatballSolid = "fas fa-cloud-meatball"
    CloudMoonSolid = "fas fa-cloud-moon"
    CloudMoonRainSolid = "fas fa-cloud-moon-rain"
    CloudRainSolid = "fas fa-cloud-rain"
    CloudShowersHeavySolid = "fas fa-cloud-showers-heavy"
    CloudSunSolid = "fas fa-cloud-sun"
    CloudSunRainSolid = "fas fa-cloud-sun-rain"
    CloudflareBrands = "fab fa-cloudflare"
    CloudscaleBrands = "fab fa-cloudscale"
    CloudsmithBrands = "fab fa-cloudsmith"
    CloudversifyBrands = "fab fa-cloudversify"
    CloverSolid = "fas fa-clover"
    CmplidBrands = "fab fa-cmplid"
    CodeSolid = "fas fa-code"
    CodeBranchSolid = "fas fa-code-branch"
    CodeCommitSolid = "fas fa-code-commit"
    CodeCompareSolid = "fas fa-code-compare"
    CodeForkSolid = "fas fa-code-fork"
    CodeMergeSolid = "fas fa-code-merge"
    CodePullRequestSolid = "fas fa-code-pull-request"
    CodepenBrands = "fab fa-codepen"
    CodiepieBrands = "fab fa-codiepie"
    CoinsSolid = "fas fa-coins"
    ColonSignSolid = "fas fa-colon-sign"
    CommentSolid = "fas fa-comment"
    Comment = "far fa-comment"
    CommentDollarSolid = "fas fa-comment-dollar"
    CommentDotsSolid = "fas fa-comment-dots"
    CommentDots = "far fa-comment-dots"
    CommentMedicalSolid = "fas fa-comment-medical"
    CommentSlashSolid = "fas fa-comment-slash"
    CommentSmsSolid = "fas fa-comment-sms"
    CommentsSolid = "fas fa-comments"
    Comments = "far fa-comments"
    CommentsDollarSolid = "fas fa-comments-dollar"
    CompactDiscSolid = "fas fa-compact-disc"
    CompassSolid = "fas fa-compass"
    Compass = "far fa-compass"
    CompassDraftingSolid = "fas fa-compass-drafting"
    CompressSolid = "fas fa-compress"
    ComputerMouseSolid = "fas fa-computer-mouse"
    ConfluenceBrands = "fab fa-confluence"
    ConnectdevelopBrands = "fab fa-connectdevelop"
    ContaoBrands = "fab fa-contao"
    CookieSolid = "fas fa-cookie"
    CookieBiteSolid = "fas fa-cookie-bite"
    CopySolid = "fas fa-copy"
    Copy = "far fa-copy"
    CopyrightSolid = "fas fa-copyright"
    Copyright = "far fa-copyright"
    CottonBureauBrands = "fab fa-cotton-bureau"
    CouchSolid = "fas fa-couch"
    CpanelBrands = "fab fa-cpanel"
    CreativeCommonsBrands = "fab fa-creative-commons"
    CreativeCommonsByBrands = "fab fa-creative-commons-by"
    CreativeCommonsNcBrands = "fab fa-creative-commons-nc"
    CreativeCommonsNcEuBrands = "fab fa-creative-commons-nc-eu"
    CreativeCommonsNcJpBrands = "fab fa-creative-commons-nc-jp"
    CreativeCommonsNdBrands = "fab fa-creative-commons-nd"
    CreativeCommonsPdBrands = "fab fa-creative-commons-pd"
    CreativeCommonsPdAltBrands = "fab fa-creative-commons-pd-alt"
    CreativeCommonsRemixBrands = "fab fa-creative-commons-remix"
    CreativeCommonsSaBrands = "fab fa-creative-commons-sa"
    CreativeCommonsSamplingBrands = "fab fa-creative-commons-sampling"
    CreativeCommonsSamplingPlusBrands = "fab fa-creative-commons-sampling-plus"
    CreativeCommonsShareBrands = "fab fa-creative-commons-share"
    CreativeCommonsZeroBrands = "fab fa-creative-commons-zero"
    CreditCardSolid = "fas fa-credit-card"
    CreditCard = "far fa-credit-card"
    CriticalRoleBrands = "fab fa-critical-role"
    CropSolid = "fas fa-crop"
    CropSimpleSolid = "fas fa-crop-simple"
    CrossSolid = "fas fa-cross"
    CrosshairsSolid = "fas fa-crosshairs"
    CrowSolid = "fas fa-crow"
    CrownSolid = "fas fa-crown"
    CrutchSolid = "fas fa-crutch"
    CruzeiroSignSolid = "fas fa-cruzeiro-sign"
    Css3Brands = "fab fa-css3"
    Css3AltBrands = "fab fa-css3-alt"
    CubeSolid = "fas fa-cube"
    CubesSolid = "fas fa-cubes"
    CuttlefishBrands = "fab fa-cuttlefish"
    DSolid = "fas fa-d"
    DAndDBrands = "fab fa-d-and-d"
    DAndDBeyondBrands = "fab fa-d-and-d-beyond"
    DailymotionBrands = "fab fa-dailymotion"
    DashcubeBrands = "fab fa-dashcube"
    DatabaseSolid = "fas fa-database"
    DeezerBrands = "fab fa-deezer"
    DeleteLeftSolid = "fas fa-delete-left"
    DeliciousBrands = "fab fa-delicious"
    DemocratSolid = "fas fa-democrat"
    DeploydogBrands = "fab fa-deploydog"
    DeskproBrands = "fab fa-deskpro"
    DesktopSolid = "fas fa-desktop"
    DevBrands = "fab fa-dev"
    DeviantartBrands = "fab fa-deviantart"
    DharmachakraSolid = "fas fa-dharmachakra"
    DhlBrands = "fab fa-dhl"
    DiagramNextSolid = "fas fa-diagram-next"
    DiagramPredecessorSolid = "fas fa-diagram-predecessor"
    DiagramProjectSolid = "fas fa-diagram-project"
    DiagramSuccessorSolid = "fas fa-diagram-successor"
    DiamondSolid = "fas fa-diamond"
    DiamondTurnRightSolid = "fas fa-diamond-turn-right"
    DiasporaBrands = "fab fa-diaspora"
    DiceSolid = "fas fa-dice"
    DiceD20Solid = "fas fa-dice-d20"
    DiceD6Solid = "fas fa-dice-d6"
    DiceFiveSolid = "fas fa-dice-five"
    DiceFourSolid = "fas fa-dice-four"
    DiceOneSolid = "fas fa-dice-one"
    DiceSixSolid = "fas fa-dice-six"
    DiceThreeSolid = "fas fa-dice-three"
    DiceTwoSolid = "fas fa-dice-two"
    DiggBrands = "fab fa-digg"
    DigitalOceanBrands = "fab fa-digital-ocean"
    DiscordBrands = "fab fa-discord"
    DiscourseBrands = "fab fa-discourse"
    DiseaseSolid = "fas fa-disease"
    DivideSolid = "fas fa-divide"
    DnaSolid = "fas fa-dna"
    DochubBrands = "fab fa-dochub"
    DockerBrands = "fab fa-docker"
    DogSolid = "fas fa-dog"
    DollarSignSolid = "fas fa-dollar-sign"
    DollySolid = "fas fa-dolly"
    DongSignSolid = "fas fa-dong-sign"
    DoorClosedSolid = "fas fa-door-closed"
    DoorOpenSolid = "fas fa-door-open"
    DoveSolid = "fas fa-dove"
    DownLeftAndUpRightToCenterSolid = "fas fa-down-left-and-up-right-to-center"
    DownLongSolid = "fas fa-down-long"
    DownloadSolid = "fas fa-download"
    Draft2DigitalBrands = "fab fa-draft2digital"
    DragonSolid = "fas fa-dragon"
    DrawPolygonSolid = "fas fa-draw-polygon"
    DribbbleBrands = "fab fa-dribbble"
    DribbbleSquareBrands = "fab fa-dribbble-square"
    DropboxBrands = "fab fa-dropbox"
    DropletSolid = "fas fa-droplet"
    DropletSlashSolid = "fas fa-droplet-slash"
    DrumSolid = "fas fa-drum"
    DrumSteelpanSolid = "fas fa-drum-steelpan"
    DrumstickBiteSolid = "fas fa-drumstick-bite"
    DrupalBrands = "fab fa-drupal"
    DumbbellSolid = "fas fa-dumbbell"
    DumpsterSolid = "fas fa-dumpster"
    DumpsterFireSolid = "fas fa-dumpster-fire"
    DungeonSolid = "fas fa-dungeon"
    DyalogBrands = "fab fa-dyalog"
    ESolid = "fas fa-e"
    EarDeafSolid = "fas fa-ear-deaf"
    EarListenSolid = "fas fa-ear-listen"
    EarlybirdsBrands = "fab fa-earlybirds"
    EarthAfricaSolid = "fas fa-earth-africa"
    EarthAmericasSolid = "fas fa-earth-americas"
    EarthAsiaSolid = "fas fa-earth-asia"
    EarthEuropeSolid = "fas fa-earth-europe"
    EarthOceaniaSolid = "fas fa-earth-oceania"
    EbayBrands = "fab fa-ebay"
    EdgeBrands = "fab fa-edge"
    EdgeLegacyBrands = "fab fa-edge-legacy"
    EggSolid = "fas fa-egg"
    EjectSolid = "fas fa-eject"
    ElementorBrands = "fab fa-elementor"
    ElevatorSolid = "fas fa-elevator"
    EllipsisSolid = "fas fa-ellipsis"
    EllipsisVerticalSolid = "fas fa-ellipsis-vertical"
    ElloBrands = "fab fa-ello"
    EmberBrands = "fab fa-ember"
    EmpireBrands = "fab fa-empire"
    EnvelopeSolid = "fas fa-envelope"
    Envelope = "far fa-envelope"
    EnvelopeOpenSolid = "fas fa-envelope-open"
    EnvelopeOpen = "far fa-envelope-open"
    EnvelopeOpenTextSolid = "fas fa-envelope-open-text"
    EnvelopesBulkSolid = "fas fa-envelopes-bulk"
    EnviraBrands = "fab fa-envira"
    EqualsSolid = "fas fa-equals"
    EraserSolid = "fas fa-eraser"
    ErlangBrands = "fab fa-erlang"
    EthereumBrands = "fab fa-ethereum"
    EthernetSolid = "fas fa-ethernet"
    EtsyBrands = "fab fa-etsy"
    EuroSignSolid = "fas fa-euro-sign"
    EvernoteBrands = "fab fa-evernote"
    ExclamationSolid = "fas fa-exclamation"
    ExpandSolid = "fas fa-expand"
    ExpeditedsslBrands = "fab fa-expeditedssl"
    EyeSolid = "fas fa-eye"
    Eye = "far fa-eye"
    EyeDropperSolid = "fas fa-eye-dropper"
    EyeLowVisionSolid = "fas fa-eye-low-vision"
    EyeSlashSolid = "fas fa-eye-slash"
    EyeSlash = "far fa-eye-slash"
    FSolid = "fas fa-f"
    FaceAngrySolid = "fas fa-face-angry"
    FaceAngry = "far fa-face-angry"
    FaceDizzySolid = "fas fa-face-dizzy"
    FaceDizzy = "far fa-face-dizzy"
    FaceFlushedSolid = "fas fa-face-flushed"
    FaceFlushed = "far fa-face-flushed"
    FaceFrownSolid = "fas fa-face-frown"
    FaceFrown = "far fa-face-frown"
    FaceFrownOpenSolid = "fas fa-face-frown-open"
    FaceFrownOpen = "far fa-face-frown-open"
    FaceGrimaceSolid = "fas fa-face-grimace"
    FaceGrimace = "far fa-face-grimace"
    FaceGrinSolid = "fas fa-face-grin"
    FaceGrin = "far fa-face-grin"
    FaceGrinBeamSolid = "fas fa-face-grin-beam"
    FaceGrinBeam = "far fa-face-grin-beam"
    FaceGrinBeamSweatSolid = "fas fa-face-grin-beam-sweat"
    FaceGrinBeamSweat = "far fa-face-grin-beam-sweat"
    FaceGrinHeartsSolid = "fas fa-face-grin-hearts"
    FaceGrinHearts = "far fa-face-grin-hearts"
    FaceGrinSquintSolid = "fas fa-face-grin-squint"
    FaceGrinSquint = "far fa-face-grin-squint"
    FaceGrinSquintTearsSolid = "fas fa-face-grin-squint-tears"
    FaceGrinSquintTears = "far fa-face-grin-squint-tears"
    FaceGrinStarsSolid = "fas fa-face-grin-stars"
    FaceGrinStars = "far fa-face-grin-stars"
    FaceGrinTearsSolid = "fas fa-face-grin-tears"
    FaceGrinTears = "far fa-face-grin-tears"
    FaceGrinTongueSolid = "fas fa-face-grin-tongue"
    FaceGrinTongue = "far fa-face-grin-tongue"
    FaceGrinTongueSquintSolid = "fas fa-face-grin-tongue-squint"
    FaceGrinTongueSquint = "far fa-face-grin-tongue-squint"
    FaceGrinTongueWinkSolid = "fas fa-face-grin-tongue-wink"
    FaceGrinTongueWink = "far fa-face-grin-tongue-wink"
    FaceGrinWideSolid = "fas fa-face-grin-wide"
    FaceGrinWide = "far fa-face-grin-wide"
    FaceGrinWinkSolid = "fas fa-face-grin-wink"
    FaceGrinWink = "far fa-face-grin-wink"
    FaceKissSolid = "fas fa-face-kiss"
    FaceKiss = "far fa-face-kiss"
    FaceKissBeamSolid = "fas fa-face-kiss-beam"
    FaceKissBeam = "far fa-face-kiss-beam"
    FaceKissWinkHeartSolid = "fas fa-face-kiss-wink-heart"
    FaceKissWinkHeart = "far fa-face-kiss-wink-heart"
    FaceLaughSolid = "fas fa-face-laugh"
    FaceLaugh = "far fa-face-laugh"
    FaceLaughBeamSolid = "fas fa-face-laugh-beam"
    FaceLaughBeam = "far fa-face-laugh-beam"
    FaceLaughSquintSolid = "fas fa-face-laugh-squint"
    FaceLaughSquint = "far fa-face-laugh-squint"
    FaceLaughWinkSolid = "fas fa-face-laugh-wink"
    FaceLaughWink = "far fa-face-laugh-wink"
    FaceMehSolid = "fas fa-face-meh"
    FaceMeh = "far fa-face-meh"
    FaceMehBlankSolid = "fas fa-face-meh-blank"
    FaceMehBlank = "far fa-face-meh-blank"
    FaceRollingEyesSolid = "fas fa-face-rolling-eyes"
    FaceRollingEyes = "far fa-face-rolling-eyes"
    FaceSadCrySolid = "fas fa-face-sad-cry"
    FaceSadCry = "far fa-face-sad-cry"
    FaceSadTearSolid = "fas fa-face-sad-tear"
    FaceSadTear = "far fa-face-sad-tear"
    FaceSmileSolid = "fas fa-face-smile"
    FaceSmile = "far fa-face-smile"
    FaceSmileBeamSolid = "fas fa-face-smile-beam"
    FaceSmileBeam = "far fa-face-smile-beam"
    FaceSmileWinkSolid = "fas fa-face-smile-wink"
    FaceSmileWink = "far fa-face-smile-wink"
    FaceSurpriseSolid = "fas fa-face-surprise"
    FaceSurprise = "far fa-face-surprise"
    FaceTiredSolid = "fas fa-face-tired"
    FaceTired = "far fa-face-tired"
    FacebookBrands = "fab fa-facebook"
    FacebookFBrands = "fab fa-facebook-f"
    FacebookMessengerBrands = "fab fa-facebook-messenger"
    FacebookSquareBrands = "fab fa-facebook-square"
    FanSolid = "fas fa-fan"
    FantasyFlightGamesBrands = "fab fa-fantasy-flight-games"
    FaucetSolid = "fas fa-faucet"
    FaxSolid = "fas fa-fax"
    FeatherSolid = "fas fa-feather"
    FeatherPointedSolid = "fas fa-feather-pointed"
    FedexBrands = "fab fa-fedex"
    FedoraBrands = "fab fa-fedora"
    FigmaBrands = "fab fa-figma"
    FileSolid = "fas fa-file"
    File = "far fa-file"
    FileArrowDownSolid = "fas fa-file-arrow-down"
    FileArrowUpSolid = "fas fa-file-arrow-up"
    FileAudioSolid = "fas fa-file-audio"
    FileAudio = "far fa-file-audio"
    FileCodeSolid = "fas fa-file-code"
    FileCode = "far fa-file-code"
    FileContractSolid = "fas fa-file-contract"
    FileCsvSolid = "fas fa-file-csv"
    FileExcelSolid = "fas fa-file-excel"
    FileExcel = "far fa-file-excel"
    FileExportSolid = "fas fa-file-export"
    FileImageSolid = "fas fa-file-image"
    FileImage = "far fa-file-image"
    FileImportSolid = "fas fa-file-import"
    FileInvoiceSolid = "fas fa-file-invoice"
    FileInvoiceDollarSolid = "fas fa-file-invoice-dollar"
    FileLinesSolid = "fas fa-file-lines"
    FileLines = "far fa-file-lines"
    FileMedicalSolid = "fas fa-file-medical"
    FilePdfSolid = "fas fa-file-pdf"
    FilePdf = "far fa-file-pdf"
    FilePowerpointSolid = "fas fa-file-powerpoint"
    FilePowerpoint = "far fa-file-powerpoint"
    FilePrescriptionSolid = "fas fa-file-prescription"
    FileSignatureSolid = "fas fa-file-signature"
    FileVideoSolid = "fas fa-file-video"
    FileVideo = "far fa-file-video"
    FileWaveformSolid = "fas fa-file-waveform"
    FileWordSolid = "fas fa-file-word"
    FileWord = "far fa-file-word"
    FileZipperSolid = "fas fa-file-zipper"
    FileZipper = "far fa-file-zipper"
    FillSolid = "fas fa-fill"
    FillDripSolid = "fas fa-fill-drip"
    FilmSolid = "fas fa-film"
    FilterSolid = "fas fa-filter"
    FilterCircleDollarSolid = "fas fa-filter-circle-dollar"
    FilterCircleXmarkSolid = "fas fa-filter-circle-xmark"
    FingerprintSolid = "fas fa-fingerprint"
    FireSolid = "fas fa-fire"
    FireExtinguisherSolid = "fas fa-fire-extinguisher"
    FireFlameCurvedSolid = "fas fa-fire-flame-curved"
    FireFlameSimpleSolid = "fas fa-fire-flame-simple"
    FirefoxBrands = "fab fa-firefox"
    FirefoxBrowserBrands = "fab fa-firefox-browser"
    FirstOrderBrands = "fab fa-first-order"
    FirstOrderAltBrands = "fab fa-first-order-alt"
    FirstdraftBrands = "fab fa-firstdraft"
    FishSolid = "fas fa-fish"
    FlagSolid = "fas fa-flag"
    Flag = "far fa-flag"
    FlagCheckeredSolid = "fas fa-flag-checkered"
    FlagUsaSolid = "fas fa-flag-usa"
    FlaskSolid = "fas fa-flask"
    FlickrBrands = "fab fa-flickr"
    FlipboardBrands = "fab fa-flipboard"
    FloppyDiskSolid = "fas fa-floppy-disk"
    FloppyDisk = "far fa-floppy-disk"
    FlorinSignSolid = "fas fa-florin-sign"
    FlyBrands = "fab fa-fly"
    FolderSolid = "fas fa-folder"
    Folder = "far fa-folder"
    FolderMinusSolid = "fas fa-folder-minus"
    FolderOpenSolid = "fas fa-folder-open"
    FolderOpen = "far fa-folder-open"
    FolderPlusSolid = "fas fa-folder-plus"
    FolderTreeSolid = "fas fa-folder-tree"
    FontSolid = "fas fa-font"
    FontAwesomeBrands = "fab fa-font-awesome"
    FontAwesomeSolid = "fas fa-font-awesome"
    FontAwesome = "far fa-font-awesome"
    FonticonsBrands = "fab fa-fonticons"
    FonticonsFiBrands = "fab fa-fonticons-fi"
    FootballSolid = "fas fa-football"
    FortAwesomeBrands = "fab fa-fort-awesome"
    FortAwesomeAltBrands = "fab fa-fort-awesome-alt"
    ForumbeeBrands = "fab fa-forumbee"
    ForwardSolid = "fas fa-forward"
    ForwardFastSolid = "fas fa-forward-fast"
    ForwardStepSolid = "fas fa-forward-step"
    FoursquareBrands = "fab fa-foursquare"
    FrancSignSolid = "fas fa-franc-sign"
    FreeCodeCampBrands = "fab fa-free-code-camp"
    FreebsdBrands = "fab fa-freebsd"
    FrogSolid = "fas fa-frog"
    FulcrumBrands = "fab fa-fulcrum"
    FutbolSolid = "fas fa-futbol"
    Futbol = "far fa-futbol"
    GSolid = "fas fa-g"
    GalacticRepublicBrands = "fab fa-galactic-republic"
    GalacticSenateBrands = "fab fa-galactic-senate"
    GamepadSolid = "fas fa-gamepad"
    GasPumpSolid = "fas fa-gas-pump"
    GaugeSolid = "fas fa-gauge"
    GaugeHighSolid = "fas fa-gauge-high"
    GaugeSimpleSolid = "fas fa-gauge-simple"
    GaugeSimpleHighSolid = "fas fa-gauge-simple-high"
    GavelSolid = "fas fa-gavel"
    GearSolid = "fas fa-gear"
    GearsSolid = "fas fa-gears"
    GemSolid = "fas fa-gem"
    Gem = "far fa-gem"
    GenderlessSolid = "fas fa-genderless"
    GetPocketBrands = "fab fa-get-pocket"
    GgBrands = "fab fa-gg"
    GgCircleBrands = "fab fa-gg-circle"
    GhostSolid = "fas fa-ghost"
    GiftSolid = "fas fa-gift"
    GiftsSolid = "fas fa-gifts"
    GitBrands = "fab fa-git"
    GitAltBrands = "fab fa-git-alt"
    GitSquareBrands = "fab fa-git-square"
    GithubBrands = "fab fa-github"
    GithubAltBrands = "fab fa-github-alt"
    GithubSquareBrands = "fab fa-github-square"
    GitkrakenBrands = "fab fa-gitkraken"
    GitlabBrands = "fab fa-gitlab"
    GitterBrands = "fab fa-gitter"
    GlassesSolid = "fas fa-glasses"
    GlideBrands = "fab fa-glide"
    GlideGBrands = "fab fa-glide-g"
    GlobeSolid = "fas fa-globe"
    GoforeBrands = "fab fa-gofore"
    GolangBrands = "fab fa-golang"
    GolfBallTeeSolid = "fas fa-golf-ball-tee"
    GoodreadsBrands = "fab fa-goodreads"
    GoodreadsGBrands = "fab fa-goodreads-g"
    GoogleBrands = "fab fa-google"
    GoogleDriveBrands = "fab fa-google-drive"
    GooglePayBrands = "fab fa-google-pay"
    GooglePlayBrands = "fab fa-google-play"
    GooglePlusBrands = "fab fa-google-plus"
    GooglePlusGBrands = "fab fa-google-plus-g"
    GooglePlusSquareBrands = "fab fa-google-plus-square"
    GoogleWalletBrands = "fab fa-google-wallet"
    GopuramSolid = "fas fa-gopuram"
    GraduationCapSolid = "fas fa-graduation-cap"
    GratipayBrands = "fab fa-gratipay"
    GravBrands = "fab fa-grav"
    GreaterThanSolid = "fas fa-greater-than"
    GreaterThanEqualSolid = "fas fa-greater-than-equal"
    GripSolid = "fas fa-grip"
    GripLinesSolid = "fas fa-grip-lines"
    GripLinesVerticalSolid = "fas fa-grip-lines-vertical"
    GripVerticalSolid = "fas fa-grip-vertical"
    GripfireBrands = "fab fa-gripfire"
    GruntBrands = "fab fa-grunt"
    GuaraniSignSolid = "fas fa-guarani-sign"
    GuildedBrands = "fab fa-guilded"
    GuitarSolid = "fas fa-guitar"
    GulpBrands = "fab fa-gulp"
    GunSolid = "fas fa-gun"
    HSolid = "fas fa-h"
    HackerNewsBrands = "fab fa-hacker-news"
    HackerNewsSquareBrands = "fab fa-hacker-news-square"
    HackerrankBrands = "fab fa-hackerrank"
    HammerSolid = "fas fa-hammer"
    HamsaSolid = "fas fa-hamsa"
    HandSolid = "fas fa-hand"
    Hand = "far fa-hand"
    HandBackFistSolid = "fas fa-hand-back-fist"
    HandBackFist = "far fa-hand-back-fist"
    HandDotsSolid = "fas fa-hand-dots"
    HandFistSolid = "fas fa-hand-fist"
    HandHoldingSolid = "fas fa-hand-holding"
    HandHoldingDollarSolid = "fas fa-hand-holding-dollar"
    HandHoldingDropletSolid = "fas fa-hand-holding-droplet"
    HandHoldingHeartSolid = "fas fa-hand-holding-heart"
    HandHoldingMedicalSolid = "fas fa-hand-holding-medical"
    HandLizardSolid = "fas fa-hand-lizard"
    HandLizard = "far fa-hand-lizard"
    HandMiddleFingerSolid = "fas fa-hand-middle-finger"
    HandPeaceSolid = "fas fa-hand-peace"
    HandPeace = "far fa-hand-peace"
    HandPointDownSolid = "fas fa-hand-point-down"
    HandPointDown = "far fa-hand-point-down"
    HandPointLeftSolid = "fas fa-hand-point-left"
    HandPointLeft = "far fa-hand-point-left"
    HandPointRightSolid = "fas fa-hand-point-right"
    HandPointRight = "far fa-hand-point-right"
    HandPointUpSolid = "fas fa-hand-point-up"
    HandPointUp = "far fa-hand-point-up"
    HandPointerSolid = "fas fa-hand-pointer"
    HandPointer = "far fa-hand-pointer"
    HandScissorsSolid = "fas fa-hand-scissors"
    HandScissors = "far fa-hand-scissors"
    HandSparklesSolid = "fas fa-hand-sparkles"
    HandSpockSolid = "fas fa-hand-spock"
    HandSpock = "far fa-hand-spock"
    HandsSolid = "fas fa-hands"
    HandsAslInterpretingSolid = "fas fa-hands-asl-interpreting"
    HandsBubblesSolid = "fas fa-hands-bubbles"
    HandsClappingSolid = "fas fa-hands-clapping"
    HandsHoldingSolid = "fas fa-hands-holding"
    HandsPrayingSolid = "fas fa-hands-praying"
    HandshakeSolid = "fas fa-handshake"
    Handshake = "far fa-handshake"
    HandshakeAngleSolid = "fas fa-handshake-angle"
    HandshakeSimpleSlashSolid = "fas fa-handshake-simple-slash"
    HandshakeSlashSolid = "fas fa-handshake-slash"
    HanukiahSolid = "fas fa-hanukiah"
    HardDriveSolid = "fas fa-hard-drive"
    HardDrive = "far fa-hard-drive"
    HashnodeBrands = "fab fa-hashnode"
    HashtagSolid = "fas fa-hashtag"
    HatCowboySolid = "fas fa-hat-cowboy"
    HatCowboySideSolid = "fas fa-hat-cowboy-side"
    HatWizardSolid = "fas fa-hat-wizard"
    HeadSideCoughSolid = "fas fa-head-side-cough"
    HeadSideCoughSlashSolid = "fas fa-head-side-cough-slash"
    HeadSideMaskSolid = "fas fa-head-side-mask"
    HeadSideVirusSolid = "fas fa-head-side-virus"
    HeadingSolid = "fas fa-heading"
    HeadphonesSolid = "fas fa-headphones"
    HeadphonesSimpleSolid = "fas fa-headphones-simple"
    HeadsetSolid = "fas fa-headset"
    HeartSolid = "fas fa-heart"
    Heart = "far fa-heart"
    HeartCrackSolid = "fas fa-heart-crack"
    HeartPulseSolid = "fas fa-heart-pulse"
    HelicopterSolid = "fas fa-helicopter"
    HelmetSafetySolid = "fas fa-helmet-safety"
    HighlighterSolid = "fas fa-highlighter"
    HippoSolid = "fas fa-hippo"
    HipsBrands = "fab fa-hips"
    HireAHelperBrands = "fab fa-hire-a-helper"
    HiveBrands = "fab fa-hive"
    HockeyPuckSolid = "fas fa-hockey-puck"
    HollyBerrySolid = "fas fa-holly-berry"
    HooliBrands = "fab fa-hooli"
    HornbillBrands = "fab fa-hornbill"
    HorseSolid = "fas fa-horse"
    HorseHeadSolid = "fas fa-horse-head"
    HospitalSolid = "fas fa-hospital"
    Hospital = "far fa-hospital"
    HospitalUserSolid = "fas fa-hospital-user"
    HotTubPersonSolid = "fas fa-hot-tub-person"
    HotdogSolid = "fas fa-hotdog"
    HotelSolid = "fas fa-hotel"
    HotjarBrands = "fab fa-hotjar"
    HourglassSolid = "fas fa-hourglass"
    Hourglass = "far fa-hourglass"
    HourglassEmptySolid = "fas fa-hourglass-empty"
    HourglassEndSolid = "fas fa-hourglass-end"
    HourglassStartSolid = "fas fa-hourglass-start"
    HouseSolid = "fas fa-house"
    HouseChimneySolid = "fas fa-house-chimney"
    HouseChimneyCrackSolid = "fas fa-house-chimney-crack"
    HouseChimneyMedicalSolid = "fas fa-house-chimney-medical"
    HouseChimneyUserSolid = "fas fa-house-chimney-user"
    HouseChimneyWindowSolid = "fas fa-house-chimney-window"
    HouseCrackSolid = "fas fa-house-crack"
    HouseLaptopSolid = "fas fa-house-laptop"
    HouseMedicalSolid = "fas fa-house-medical"
    HouseUserSolid = "fas fa-house-user"
    HouzzBrands = "fab fa-houzz"
    HryvniaSignSolid = "fas fa-hryvnia-sign"
    Html5Brands = "fab fa-html5"
    HubspotBrands = "fab fa-hubspot"
    ISolid = "fas fa-i"
    ICursorSolid = "fas fa-i-cursor"
    IceCreamSolid = "fas fa-ice-cream"
    IciclesSolid = "fas fa-icicles"
    IconsSolid = "fas fa-icons"
    IdBadgeSolid = "fas fa-id-badge"
    IdBadge = "far fa-id-badge"
    IdCardSolid = "fas fa-id-card"
    IdCard = "far fa-id-card"
    IdCardClipSolid = "fas fa-id-card-clip"
    IdealBrands = "fab fa-ideal"
    IglooSolid = "fas fa-igloo"
    ImageSolid = "fas fa-image"
    Image = "far fa-image"
    ImagePortraitSolid = "fas fa-image-portrait"
    ImagesSolid = "fas fa-images"
    Images = "far fa-images"
    ImdbBrands = "fab fa-imdb"
    InboxSolid = "fas fa-inbox"
    IndentSolid = "fas fa-indent"
    IndianRupeeSignSolid = "fas fa-indian-rupee-sign"
    IndustrySolid = "fas fa-industry"
    InfinitySolid = "fas fa-infinity"
    InfoSolid = "fas fa-info"
    InstagramBrands = "fab fa-instagram"
    InstagramSquareBrands = "fab fa-instagram-square"
    InstalodBrands = "fab fa-instalod"
    IntercomBrands = "fab fa-intercom"
    InternetExplorerBrands = "fab fa-internet-explorer"
    InvisionBrands = "fab fa-invision"
    IoxhostBrands = "fab fa-ioxhost"
    ItalicSolid = "fas fa-italic"
    ItchIoBrands = "fab fa-itch-io"
    ItunesBrands = "fab fa-itunes"
    ItunesNoteBrands = "fab fa-itunes-note"
    JSolid = "fas fa-j"
    JavaBrands = "fab fa-java"
    JediSolid = "fas fa-jedi"
    JediOrderBrands = "fab fa-jedi-order"
    JenkinsBrands = "fab fa-jenkins"
    JetFighterSolid = "fas fa-jet-fighter"
    JiraBrands = "fab fa-jira"
    JogetBrands = "fab fa-joget"
    JointSolid = "fas fa-joint"
    JoomlaBrands = "fab fa-joomla"
    JsBrands = "fab fa-js"
    JsSquareBrands = "fab fa-js-square"
    JsfiddleBrands = "fab fa-jsfiddle"
    KSolid = "fas fa-k"
    KaabaSolid = "fas fa-kaaba"
    KaggleBrands = "fab fa-kaggle"
    KeySolid = "fas fa-key"
    KeybaseBrands = "fab fa-keybase"
    KeyboardSolid = "fas fa-keyboard"
    Keyboard = "far fa-keyboard"
    KeycdnBrands = "fab fa-keycdn"
    KhandaSolid = "fas fa-khanda"
    KickstarterBrands = "fab fa-kickstarter"
    KickstarterKBrands = "fab fa-kickstarter-k"
    KipSignSolid = "fas fa-kip-sign"
    KitMedicalSolid = "fas fa-kit-medical"
    KiwiBirdSolid = "fas fa-kiwi-bird"
    KorvueBrands = "fab fa-korvue"
    LSolid = "fas fa-l"
    LandmarkSolid = "fas fa-landmark"
    LanguageSolid = "fas fa-language"
    LaptopSolid = "fas fa-laptop"
    LaptopCodeSolid = "fas fa-laptop-code"
    LaptopMedicalSolid = "fas fa-laptop-medical"
    LaravelBrands = "fab fa-laravel"
    LariSignSolid = "fas fa-lari-sign"
    LastfmBrands = "fab fa-lastfm"
    LastfmSquareBrands = "fab fa-lastfm-square"
    LayerGroupSolid = "fas fa-layer-group"
    LeafSolid = "fas fa-leaf"
    LeanpubBrands = "fab fa-leanpub"
    LeftLongSolid = "fas fa-left-long"
    LeftRightSolid = "fas fa-left-right"
    LemonSolid = "fas fa-lemon"
    Lemon = "far fa-lemon"
    LessBrands = "fab fa-less"
    LessThanSolid = "fas fa-less-than"
    LessThanEqualSolid = "fas fa-less-than-equal"
    LifeRingSolid = "fas fa-life-ring"
    LifeRing = "far fa-life-ring"
    LightbulbSolid = "fas fa-lightbulb"
    Lightbulb = "far fa-lightbulb"
    LineBrands = "fab fa-line"
    LinkSolid = "fas fa-link"
    LinkSlashSolid = "fas fa-link-slash"
    LinkedinBrands = "fab fa-linkedin"
    LinkedinInBrands = "fab fa-linkedin-in"
    LinodeBrands = "fab fa-linode"
    LinuxBrands = "fab fa-linux"
    LiraSignSolid = "fas fa-lira-sign"
    ListSolid = "fas fa-list"
    ListCheckSolid = "fas fa-list-check"
    ListOlSolid = "fas fa-list-ol"
    ListUlSolid = "fas fa-list-ul"
    LitecoinSignSolid = "fas fa-litecoin-sign"
    LocationArrowSolid = "fas fa-location-arrow"
    LocationCrosshairsSolid = "fas fa-location-crosshairs"
    LocationDotSolid = "fas fa-location-dot"
    LocationPinSolid = "fas fa-location-pin"
    LockSolid = "fas fa-lock"
    LockOpenSolid = "fas fa-lock-open"
    LungsSolid = "fas fa-lungs"
    LungsVirusSolid = "fas fa-lungs-virus"
    LyftBrands = "fab fa-lyft"
    MSolid = "fas fa-m"
    MagentoBrands = "fab fa-magento"
    MagnetSolid = "fas fa-magnet"
    MagnifyingGlassSolid = "fas fa-magnifying-glass"
    MagnifyingGlassDollarSolid = "fas fa-magnifying-glass-dollar"
    MagnifyingGlassLocationSolid = "fas fa-magnifying-glass-location"
    MagnifyingGlassMinusSolid = "fas fa-magnifying-glass-minus"
    MagnifyingGlassPlusSolid = "fas fa-magnifying-glass-plus"
    MailchimpBrands = "fab fa-mailchimp"
    ManatSignSolid = "fas fa-manat-sign"
    MandalorianBrands = "fab fa-mandalorian"
    MapSolid = "fas fa-map"
    Map = "far fa-map"
    MapLocationSolid = "fas fa-map-location"
    MapLocationDotSolid = "fas fa-map-location-dot"
    MapPinSolid = "fas fa-map-pin"
    MarkdownBrands = "fab fa-markdown"
    MarkerSolid = "fas fa-marker"
    MarsSolid = "fas fa-mars"
    MarsAndVenusSolid = "fas fa-mars-and-venus"
    MarsDoubleSolid = "fas fa-mars-double"
    MarsStrokeSolid = "fas fa-mars-stroke"
    MarsStrokeRightSolid = "fas fa-mars-stroke-right"
    MarsStrokeUpSolid = "fas fa-mars-stroke-up"
    MartiniGlassSolid = "fas fa-martini-glass"
    MartiniGlassCitrusSolid = "fas fa-martini-glass-citrus"
    MartiniGlassEmptySolid = "fas fa-martini-glass-empty"
    MaskSolid = "fas fa-mask"
    MaskFaceSolid = "fas fa-mask-face"
    MasksTheaterSolid = "fas fa-masks-theater"
    MastodonBrands = "fab fa-mastodon"
    MaxcdnBrands = "fab fa-maxcdn"
    MaximizeSolid = "fas fa-maximize"
    MdbBrands = "fab fa-mdb"
    MedalSolid = "fas fa-medal"
    MedappsBrands = "fab fa-medapps"
    MediumBrands = "fab fa-medium"
    MedrtBrands = "fab fa-medrt"
    MeetupBrands = "fab fa-meetup"
    MegaportBrands = "fab fa-megaport"
    MemorySolid = "fas fa-memory"
    MendeleyBrands = "fab fa-mendeley"
    MenorahSolid = "fas fa-menorah"
    MercurySolid = "fas fa-mercury"
    MessageSolid = "fas fa-message"
    Message = "far fa-message"
    MeteorSolid = "fas fa-meteor"
    MicroblogBrands = "fab fa-microblog"
    MicrochipSolid = "fas fa-microchip"
    MicrophoneSolid = "fas fa-microphone"
    MicrophoneLinesSolid = "fas fa-microphone-lines"
    MicrophoneLinesSlashSolid = "fas fa-microphone-lines-slash"
    MicrophoneSlashSolid = "fas fa-microphone-slash"
    MicroscopeSolid = "fas fa-microscope"
    MicrosoftBrands = "fab fa-microsoft"
    MillSignSolid = "fas fa-mill-sign"
    MinimizeSolid = "fas fa-minimize"
    MinusSolid = "fas fa-minus"
    MittenSolid = "fas fa-mitten"
    MixBrands = "fab fa-mix"
    MixcloudBrands = "fab fa-mixcloud"
    MixerBrands = "fab fa-mixer"
    MizuniBrands = "fab fa-mizuni"
    MobileSolid = "fas fa-mobile"
    MobileButtonSolid = "fas fa-mobile-button"
    MobileScreenButtonSolid = "fas fa-mobile-screen-button"
    ModxBrands = "fab fa-modx"
    MoneroBrands = "fab fa-monero"
    MoneyBillSolid = "fas fa-money-bill"
    MoneyBill1Solid = "fas fa-money-bill-1"
    MoneyBill1 = "far fa-money-bill-1"
    MoneyBill1WaveSolid = "fas fa-money-bill-1-wave"
    MoneyBillWaveSolid = "fas fa-money-bill-wave"
    MoneyCheckSolid = "fas fa-money-check"
    MoneyCheckDollarSolid = "fas fa-money-check-dollar"
    MonumentSolid = "fas fa-monument"
    MoonSolid = "fas fa-moon"
    Moon = "far fa-moon"
    MortarPestleSolid = "fas fa-mortar-pestle"
    MosqueSolid = "fas fa-mosque"
    MotorcycleSolid = "fas fa-motorcycle"
    MountainSolid = "fas fa-mountain"
    MugHotSolid = "fas fa-mug-hot"
    MugSaucerSolid = "fas fa-mug-saucer"
    MusicSolid = "fas fa-music"
    NSolid = "fas fa-n"
    NairaSignSolid = "fas fa-naira-sign"
    NapsterBrands = "fab fa-napster"
    NeosBrands = "fab fa-neos"
    NetworkWiredSolid = "fas fa-network-wired"
    NeuterSolid = "fas fa-neuter"
    NewspaperSolid = "fas fa-newspaper"
    Newspaper = "far fa-newspaper"
    NimblrBrands = "fab fa-nimblr"
    NodeBrands = "fab fa-node"
    NodeJsBrands = "fab fa-node-js"
    NotEqualSolid = "fas fa-not-equal"
    NoteStickySolid = "fas fa-note-sticky"
    NoteSticky = "far fa-note-sticky"
    NotesMedicalSolid = "fas fa-notes-medical"
    NpmBrands = "fab fa-npm"
    Ns8Brands = "fab fa-ns8"
    NutritionixBrands = "fab fa-nutritionix"
    OSolid = "fas fa-o"
    ObjectGroupSolid = "fas fa-object-group"
    ObjectGroup = "far fa-object-group"
    ObjectUngroupSolid = "fas fa-object-ungroup"
    ObjectUngroup = "far fa-object-ungroup"
    OctopusDeployBrands = "fab fa-octopus-deploy"
    OdnoklassnikiBrands = "fab fa-odnoklassniki"
    OdnoklassnikiSquareBrands = "fab fa-odnoklassniki-square"
    OilCanSolid = "fas fa-oil-can"
    OldRepublicBrands = "fab fa-old-republic"
    OmSolid = "fas fa-om"
    OpencartBrands = "fab fa-opencart"
    OpenidBrands = "fab fa-openid"
    OperaBrands = "fab fa-opera"
    OptinMonsterBrands = "fab fa-optin-monster"
    OrcidBrands = "fab fa-orcid"
    OsiBrands = "fab fa-osi"
    OtterSolid = "fas fa-otter"
    OutdentSolid = "fas fa-outdent"
    PSolid = "fas fa-p"
    PadletBrands = "fab fa-padlet"
    Page4Brands = "fab fa-page4"
    PagelinesBrands = "fab fa-pagelines"
    PagerSolid = "fas fa-pager"
    PaintRollerSolid = "fas fa-paint-roller"
    PaintbrushSolid = "fas fa-paintbrush"
    PaletteSolid = "fas fa-palette"
    PalfedBrands = "fab fa-palfed"
    PalletSolid = "fas fa-pallet"
    PanoramaSolid = "fas fa-panorama"
    PaperPlaneSolid = "fas fa-paper-plane"
    PaperPlane = "far fa-paper-plane"
    PaperclipSolid = "fas fa-paperclip"
    ParachuteBoxSolid = "fas fa-parachute-box"
    ParagraphSolid = "fas fa-paragraph"
    PassportSolid = "fas fa-passport"
    PasteSolid = "fas fa-paste"
    Paste = "far fa-paste"
    PatreonBrands = "fab fa-patreon"
    PauseSolid = "fas fa-pause"
    PawSolid = "fas fa-paw"
    PaypalBrands = "fab fa-paypal"
    PeaceSolid = "fas fa-peace"
    PenSolid = "fas fa-pen"
    PenClipSolid = "fas fa-pen-clip"
    PenFancySolid = "fas fa-pen-fancy"
    PenNibSolid = "fas fa-pen-nib"
    PenRulerSolid = "fas fa-pen-ruler"
    PenToSquareSolid = "fas fa-pen-to-square"
    PenToSquare = "far fa-pen-to-square"
    PencilSolid = "fas fa-pencil"
    PeopleArrowsLeftRightSolid = "fas fa-people-arrows-left-right"
    PeopleCarryBoxSolid = "fas fa-people-carry-box"
    PepperHotSolid = "fas fa-pepper-hot"
    PerbyteBrands = "fab fa-perbyte"
    PercentSolid = "fas fa-percent"
    PeriscopeBrands = "fab fa-periscope"
    PersonSolid = "fas fa-person"
    PersonBikingSolid = "fas fa-person-biking"
    PersonBoothSolid = "fas fa-person-booth"
    PersonDotsFromLineSolid = "fas fa-person-dots-from-line"
    PersonDressSolid = "fas fa-person-dress"
    PersonHikingSolid = "fas fa-person-hiking"
    PersonPrayingSolid = "fas fa-person-praying"
    PersonRunningSolid = "fas fa-person-running"
    PersonSkatingSolid = "fas fa-person-skating"
    PersonSkiingSolid = "fas fa-person-skiing"
    PersonSkiingNordicSolid = "fas fa-person-skiing-nordic"
    PersonSnowboardingSolid = "fas fa-person-snowboarding"
    PersonSwimmingSolid = "fas fa-person-swimming"
    PersonWalkingSolid = "fas fa-person-walking"
    PersonWalkingWithCaneSolid = "fas fa-person-walking-with-cane"
    PesetaSignSolid = "fas fa-peseta-sign"
    PesoSignSolid = "fas fa-peso-sign"
    PhabricatorBrands = "fab fa-phabricator"
    PhoenixFrameworkBrands = "fab fa-phoenix-framework"
    PhoenixSquadronBrands = "fab fa-phoenix-squadron"
    PhoneSolid = "fas fa-phone"
    PhoneFlipSolid = "fas fa-phone-flip"
    PhoneSlashSolid = "fas fa-phone-slash"
    PhoneVolumeSolid = "fas fa-phone-volume"
    PhotoFilmSolid = "fas fa-photo-film"
    PhpBrands = "fab fa-php"
    PiedPiperBrands = "fab fa-pied-piper"
    PiedPiperAltBrands = "fab fa-pied-piper-alt"
    PiedPiperHatBrands = "fab fa-pied-piper-hat"
    PiedPiperPpBrands = "fab fa-pied-piper-pp"
    PiedPiperSquareBrands = "fab fa-pied-piper-square"
    PiggyBankSolid = "fas fa-piggy-bank"
    PillsSolid = "fas fa-pills"
    PinterestBrands = "fab fa-pinterest"
    PinterestPBrands = "fab fa-pinterest-p"
    PinterestSquareBrands = "fab fa-pinterest-square"
    PixBrands = "fab fa-pix"
    PizzaSliceSolid = "fas fa-pizza-slice"
    PlaceOfWorshipSolid = "fas fa-place-of-worship"
    PlaneSolid = "fas fa-plane"
    PlaneArrivalSolid = "fas fa-plane-arrival"
    PlaneDepartureSolid = "fas fa-plane-departure"
    PlaneSlashSolid = "fas fa-plane-slash"
    PlaySolid = "fas fa-play"
    PlaystationBrands = "fab fa-playstation"
    PlugSolid = "fas fa-plug"
    PlusSolid = "fas fa-plus"
    PlusMinusSolid = "fas fa-plus-minus"
    PodcastSolid = "fas fa-podcast"
    PooSolid = "fas fa-poo"
    PooStormSolid = "fas fa-poo-storm"
    PoopSolid = "fas fa-poop"
    PowerOffSolid = "fas fa-power-off"
    PrescriptionSolid = "fas fa-prescription"
    PrescriptionBottleSolid = "fas fa-prescription-bottle"
    PrescriptionBottleMedicalSolid = "fas fa-prescription-bottle-medical"
    PrintSolid = "fas fa-print"
    ProductHuntBrands = "fab fa-product-hunt"
    PumpMedicalSolid = "fas fa-pump-medical"
    PumpSoapSolid = "fas fa-pump-soap"
    PushedBrands = "fab fa-pushed"
    PuzzlePieceSolid = "fas fa-puzzle-piece"
    PythonBrands = "fab fa-python"
    QSolid = "fas fa-q"
    QqBrands = "fab fa-qq"
    QrcodeSolid = "fas fa-qrcode"
    QuestionSolid = "fas fa-question"
    QuinscapeBrands = "fab fa-quinscape"
    QuoraBrands = "fab fa-quora"
    QuoteLeftSolid = "fas fa-quote-left"
    QuoteRightSolid = "fas fa-quote-right"
    RSolid = "fas fa-r"
    RProjectBrands = "fab fa-r-project"
    RadiationSolid = "fas fa-radiation"
    RainbowSolid = "fas fa-rainbow"
    RaspberryPiBrands = "fab fa-raspberry-pi"
    RavelryBrands = "fab fa-ravelry"
    ReactBrands = "fab fa-react"
    ReacteuropeBrands = "fab fa-reacteurope"
    ReadmeBrands = "fab fa-readme"
    RebelBrands = "fab fa-rebel"
    ReceiptSolid = "fas fa-receipt"
    RecordVinylSolid = "fas fa-record-vinyl"
    RectangleAdSolid = "fas fa-rectangle-ad"
    RectangleListSolid = "fas fa-rectangle-list"
    RectangleList = "far fa-rectangle-list"
    RectangleXmarkSolid = "fas fa-rectangle-xmark"
    RectangleXmark = "far fa-rectangle-xmark"
    RecycleSolid = "fas fa-recycle"
    RedRiverBrands = "fab fa-red-river"
    RedditBrands = "fab fa-reddit"
    RedditAlienBrands = "fab fa-reddit-alien"
    RedditSquareBrands = "fab fa-reddit-square"
    RedhatBrands = "fab fa-redhat"
    RegisteredSolid = "fas fa-registered"
    Registered = "far fa-registered"
    RenrenBrands = "fab fa-renren"
    RepeatSolid = "fas fa-repeat"
    ReplySolid = "fas fa-reply"
    ReplyAllSolid = "fas fa-reply-all"
    ReplydBrands = "fab fa-replyd"
    RepublicanSolid = "fas fa-republican"
    ResearchgateBrands = "fab fa-researchgate"
    ResolvingBrands = "fab fa-resolving"
    RestroomSolid = "fas fa-restroom"
    RetweetSolid = "fas fa-retweet"
    RevBrands = "fab fa-rev"
    RibbonSolid = "fas fa-ribbon"
    RightFromBracketSolid = "fas fa-right-from-bracket"
    RightLeftSolid = "fas fa-right-left"
    RightLongSolid = "fas fa-right-long"
    RightToBracketSolid = "fas fa-right-to-bracket"
    RingSolid = "fas fa-ring"
    RoadSolid = "fas fa-road"
    RobotSolid = "fas fa-robot"
    RocketSolid = "fas fa-rocket"
    RocketchatBrands = "fab fa-rocketchat"
    RockrmsBrands = "fab fa-rockrms"
    RotateSolid = "fas fa-rotate"
    RotateLeftSolid = "fas fa-rotate-left"
    RotateRightSolid = "fas fa-rotate-right"
    RouteSolid = "fas fa-route"
    RssSolid = "fas fa-rss"
    RubleSignSolid = "fas fa-ruble-sign"
    RulerSolid = "fas fa-ruler"
    RulerCombinedSolid = "fas fa-ruler-combined"
    RulerHorizontalSolid = "fas fa-ruler-horizontal"
    RulerVerticalSolid = "fas fa-ruler-vertical"
    RupeeSignSolid = "fas fa-rupee-sign"
    RupiahSignSolid = "fas fa-rupiah-sign"
    RustBrands = "fab fa-rust"
    SSolid = "fas fa-s"
    SafariBrands = "fab fa-safari"
    SailboatSolid = "fas fa-sailboat"
    SalesforceBrands = "fab fa-salesforce"
    SassBrands = "fab fa-sass"
    SatelliteSolid = "fas fa-satellite"
    SatelliteDishSolid = "fas fa-satellite-dish"
    ScaleBalancedSolid = "fas fa-scale-balanced"
    ScaleUnbalancedSolid = "fas fa-scale-unbalanced"
    ScaleUnbalancedFlipSolid = "fas fa-scale-unbalanced-flip"
    SchlixBrands = "fab fa-schlix"
    SchoolSolid = "fas fa-school"
    ScissorsSolid = "fas fa-scissors"
    ScrewdriverSolid = "fas fa-screwdriver"
    ScrewdriverWrenchSolid = "fas fa-screwdriver-wrench"
    ScribdBrands = "fab fa-scribd"
    ScrollSolid = "fas fa-scroll"
    ScrollTorahSolid = "fas fa-scroll-torah"
    SdCardSolid = "fas fa-sd-card"
    SearchenginBrands = "fab fa-searchengin"
    SectionSolid = "fas fa-section"
    SeedlingSolid = "fas fa-seedling"
    SellcastBrands = "fab fa-sellcast"
    SellsyBrands = "fab fa-sellsy"
    ServerSolid = "fas fa-server"
    ServicestackBrands = "fab fa-servicestack"
    ShapesSolid = "fas fa-shapes"
    ShareSolid = "fas fa-share"
    ShareFromSquareSolid = "fas fa-share-from-square"
    ShareFromSquare = "far fa-share-from-square"
    ShareNodesSolid = "fas fa-share-nodes"
    ShekelSignSolid = "fas fa-shekel-sign"
    ShieldSolid = "fas fa-shield"
    ShieldBlankSolid = "fas fa-shield-blank"
    ShieldVirusSolid = "fas fa-shield-virus"
    ShipSolid = "fas fa-ship"
    ShirtSolid = "fas fa-shirt"
    ShirtsinbulkBrands = "fab fa-shirtsinbulk"
    ShoePrintsSolid = "fas fa-shoe-prints"
    ShopSolid = "fas fa-shop"
    ShopSlashSolid = "fas fa-shop-slash"
    ShopifyBrands = "fab fa-shopify"
    ShopwareBrands = "fab fa-shopware"
    ShowerSolid = "fas fa-shower"
    ShrimpSolid = "fas fa-shrimp"
    ShuffleSolid = "fas fa-shuffle"
    ShuttleSpaceSolid = "fas fa-shuttle-space"
    SignHangingSolid = "fas fa-sign-hanging"
    SignalSolid = "fas fa-signal"
    SignatureSolid = "fas fa-signature"
    SignsPostSolid = "fas fa-signs-post"
    SimCardSolid = "fas fa-sim-card"
    SimplybuiltBrands = "fab fa-simplybuilt"
    SinkSolid = "fas fa-sink"
    SistrixBrands = "fab fa-sistrix"
    SitemapSolid = "fas fa-sitemap"
    SithBrands = "fab fa-sith"
    SitroxBrands = "fab fa-sitrox"
    SketchBrands = "fab fa-sketch"
    SkullSolid = "fas fa-skull"
    SkullCrossbonesSolid = "fas fa-skull-crossbones"
    SkyatlasBrands = "fab fa-skyatlas"
    SkypeBrands = "fab fa-skype"
    SlackBrands = "fab fa-slack"
    SlashSolid = "fas fa-slash"
    SleighSolid = "fas fa-sleigh"
    SlidersSolid = "fas fa-sliders"
    SlideshareBrands = "fab fa-slideshare"
    SmogSolid = "fas fa-smog"
    SmokingSolid = "fas fa-smoking"
    SnapchatBrands = "fab fa-snapchat"
    SnapchatSquareBrands = "fab fa-snapchat-square"
    SnowflakeSolid = "fas fa-snowflake"
    Snowflake = "far fa-snowflake"
    SnowmanSolid = "fas fa-snowman"
    SnowplowSolid = "fas fa-snowplow"
    SoapSolid = "fas fa-soap"
    SocksSolid = "fas fa-socks"
    SolarPanelSolid = "fas fa-solar-panel"
    SortSolid = "fas fa-sort"
    SortDownSolid = "fas fa-sort-down"
    SortUpSolid = "fas fa-sort-up"
    SoundcloudBrands = "fab fa-soundcloud"
    SourcetreeBrands = "fab fa-sourcetree"
    SpaSolid = "fas fa-spa"
    SpaghettiMonsterFlyingSolid = "fas fa-spaghetti-monster-flying"
    SpeakapBrands = "fab fa-speakap"
    SpeakerDeckBrands = "fab fa-speaker-deck"
    SpellCheckSolid = "fas fa-spell-check"
    SpiderSolid = "fas fa-spider"
    SpinnerSolid = "fas fa-spinner"
    SplotchSolid = "fas fa-splotch"
    SpoonSolid = "fas fa-spoon"
    SpotifyBrands = "fab fa-spotify"
    SprayCanSolid = "fas fa-spray-can"
    SprayCanSparklesSolid = "fas fa-spray-can-sparkles"
    SquareSolid = "fas fa-square"
    Square = "far fa-square"
    SquareArrowUpRightSolid = "fas fa-square-arrow-up-right"
    SquareCaretDownSolid = "fas fa-square-caret-down"
    SquareCaretDown = "far fa-square-caret-down"
    SquareCaretLeftSolid = "fas fa-square-caret-left"
    SquareCaretLeft = "far fa-square-caret-left"
    SquareCaretRightSolid = "fas fa-square-caret-right"
    SquareCaretRight = "far fa-square-caret-right"
    SquareCaretUpSolid = "fas fa-square-caret-up"
    SquareCaretUp = "far fa-square-caret-up"
    SquareCheckSolid = "fas fa-square-check"
    SquareCheck = "far fa-square-check"
    SquareEnvelopeSolid = "fas fa-square-envelope"
    SquareFontAwesomeBrands = "fab fa-square-font-awesome"
    SquareFontAwesomeStrokeBrands = "fab fa-square-font-awesome-stroke"
    SquareFullSolid = "fas fa-square-full"
    SquareFull = "far fa-square-full"
    SquareHSolid = "fas fa-square-h"
    SquareMinusSolid = "fas fa-square-minus"
    SquareMinus = "far fa-square-minus"
    SquareParkingSolid = "fas fa-square-parking"
    SquarePenSolid = "fas fa-square-pen"
    SquarePhoneSolid = "fas fa-square-phone"
    SquarePhoneFlipSolid = "fas fa-square-phone-flip"
    SquarePlusSolid = "fas fa-square-plus"
    SquarePlus = "far fa-square-plus"
    SquarePollHorizontalSolid = "fas fa-square-poll-horizontal"
    SquarePollVerticalSolid = "fas fa-square-poll-vertical"
    SquareRootVariableSolid = "fas fa-square-root-variable"
    SquareRssSolid = "fas fa-square-rss"
    SquareShareNodesSolid = "fas fa-square-share-nodes"
    SquareUpRightSolid = "fas fa-square-up-right"
    SquareXmarkSolid = "fas fa-square-xmark"
    SquarespaceBrands = "fab fa-squarespace"
    StackExchangeBrands = "fab fa-stack-exchange"
    StackOverflowBrands = "fab fa-stack-overflow"
    StackpathBrands = "fab fa-stackpath"
    StairsSolid = "fas fa-stairs"
    StampSolid = "fas fa-stamp"
    StarSolid = "fas fa-star"
    Star = "far fa-star"
    StarAndCrescentSolid = "fas fa-star-and-crescent"
    StarHalfSolid = "fas fa-star-half"
    StarHalf = "far fa-star-half"
    StarHalfStrokeSolid = "fas fa-star-half-stroke"
    StarHalfStroke = "far fa-star-half-stroke"
    StarOfDavidSolid = "fas fa-star-of-david"
    StarOfLifeSolid = "fas fa-star-of-life"
    StaylinkedBrands = "fab fa-staylinked"
    SteamBrands = "fab fa-steam"
    SteamSquareBrands = "fab fa-steam-square"
    SteamSymbolBrands = "fab fa-steam-symbol"
    SterlingSignSolid = "fas fa-sterling-sign"
    StethoscopeSolid = "fas fa-stethoscope"
    StickerMuleBrands = "fab fa-sticker-mule"
    StopSolid = "fas fa-stop"
    StopwatchSolid = "fas fa-stopwatch"
    Stopwatch20Solid = "fas fa-stopwatch-20"
    StoreSolid = "fas fa-store"
    StoreSlashSolid = "fas fa-store-slash"
    StravaBrands = "fab fa-strava"
    StreetViewSolid = "fas fa-street-view"
    StrikethroughSolid = "fas fa-strikethrough"
    StripeBrands = "fab fa-stripe"
    StripeSBrands = "fab fa-stripe-s"
    StroopwafelSolid = "fas fa-stroopwafel"
    StudiovinariBrands = "fab fa-studiovinari"
    StumbleuponBrands = "fab fa-stumbleupon"
    StumbleuponCircleBrands = "fab fa-stumbleupon-circle"
    SubscriptSolid = "fas fa-subscript"
    SuitcaseSolid = "fas fa-suitcase"
    SuitcaseMedicalSolid = "fas fa-suitcase-medical"
    SuitcaseRollingSolid = "fas fa-suitcase-rolling"
    SunSolid = "fas fa-sun"
    Sun = "far fa-sun"
    SuperpowersBrands = "fab fa-superpowers"
    SuperscriptSolid = "fas fa-superscript"
    SuppleBrands = "fab fa-supple"
    SuseBrands = "fab fa-suse"
    SwatchbookSolid = "fas fa-swatchbook"
    SwiftBrands = "fab fa-swift"
    SymfonyBrands = "fab fa-symfony"
    SynagogueSolid = "fas fa-synagogue"
    SyringeSolid = "fas fa-syringe"
    TSolid = "fas fa-t"
    TableSolid = "fas fa-table"
    TableCellsSolid = "fas fa-table-cells"
    TableCellsLargeSolid = "fas fa-table-cells-large"
    TableColumnsSolid = "fas fa-table-columns"
    TableListSolid = "fas fa-table-list"
    TableTennisPaddleBallSolid = "fas fa-table-tennis-paddle-ball"
    TabletSolid = "fas fa-tablet"
    TabletButtonSolid = "fas fa-tablet-button"
    TabletScreenButtonSolid = "fas fa-tablet-screen-button"
    TabletsSolid = "fas fa-tablets"
    TachographDigitalSolid = "fas fa-tachograph-digital"
    TagSolid = "fas fa-tag"
    TagsSolid = "fas fa-tags"
    TapeSolid = "fas fa-tape"
    TaxiSolid = "fas fa-taxi"
    TeamspeakBrands = "fab fa-teamspeak"
    TeethSolid = "fas fa-teeth"
    TeethOpenSolid = "fas fa-teeth-open"
    TelegramBrands = "fab fa-telegram"
    TemperatureEmptySolid = "fas fa-temperature-empty"
    TemperatureFullSolid = "fas fa-temperature-full"
    TemperatureHalfSolid = "fas fa-temperature-half"
    TemperatureHighSolid = "fas fa-temperature-high"
    TemperatureLowSolid = "fas fa-temperature-low"
    TemperatureQuarterSolid = "fas fa-temperature-quarter"
    TemperatureThreeQuartersSolid = "fas fa-temperature-three-quarters"
    TencentWeiboBrands = "fab fa-tencent-weibo"
    TengeSignSolid = "fas fa-tenge-sign"
    TerminalSolid = "fas fa-terminal"
    TextHeightSolid = "fas fa-text-height"
    TextSlashSolid = "fas fa-text-slash"
    TextWidthSolid = "fas fa-text-width"
    TheRedYetiBrands = "fab fa-the-red-yeti"
    ThemecoBrands = "fab fa-themeco"
    ThemeisleBrands = "fab fa-themeisle"
    ThermometerSolid = "fas fa-thermometer"
    ThinkPeaksBrands = "fab fa-think-peaks"
    ThumbsDownSolid = "fas fa-thumbs-down"
    ThumbsDown = "far fa-thumbs-down"
    ThumbsUpSolid = "fas fa-thumbs-up"
    ThumbsUp = "far fa-thumbs-up"
    ThumbtackSolid = "fas fa-thumbtack"
    TicketSolid = "fas fa-ticket"
    TicketSimpleSolid = "fas fa-ticket-simple"
    TiktokBrands = "fab fa-tiktok"
    TimelineSolid = "fas fa-timeline"
    ToggleOffSolid = "fas fa-toggle-off"
    ToggleOnSolid = "fas fa-toggle-on"
    ToiletSolid = "fas fa-toilet"
    ToiletPaperSolid = "fas fa-toilet-paper"
    ToiletPaperSlashSolid = "fas fa-toilet-paper-slash"
    ToolboxSolid = "fas fa-toolbox"
    ToothSolid = "fas fa-tooth"
    ToriiGateSolid = "fas fa-torii-gate"
    TowerBroadcastSolid = "fas fa-tower-broadcast"
    TractorSolid = "fas fa-tractor"
    TradeFederationBrands = "fab fa-trade-federation"
    TrademarkSolid = "fas fa-trademark"
    TrafficLightSolid = "fas fa-traffic-light"
    TrailerSolid = "fas fa-trailer"
    TrainSolid = "fas fa-train"
    TrainSubwaySolid = "fas fa-train-subway"
    TrainTramSolid = "fas fa-train-tram"
    TransgenderSolid = "fas fa-transgender"
    TrashSolid = "fas fa-trash"
    TrashArrowUpSolid = "fas fa-trash-arrow-up"
    TrashCanSolid = "fas fa-trash-can"
    TrashCan = "far fa-trash-can"
    TrashCanArrowUpSolid = "fas fa-trash-can-arrow-up"
    TreeSolid = "fas fa-tree"
    TrelloBrands = "fab fa-trello"
    TriangleExclamationSolid = "fas fa-triangle-exclamation"
    TrophySolid = "fas fa-trophy"
    TruckSolid = "fas fa-truck"
    TruckFastSolid = "fas fa-truck-fast"
    TruckMedicalSolid = "fas fa-truck-medical"
    TruckMonsterSolid = "fas fa-truck-monster"
    TruckMovingSolid = "fas fa-truck-moving"
    TruckPickupSolid = "fas fa-truck-pickup"
    TruckRampBoxSolid = "fas fa-truck-ramp-box"
    TtySolid = "fas fa-tty"
    TumblrBrands = "fab fa-tumblr"
    TumblrSquareBrands = "fab fa-tumblr-square"
    TurkishLiraSignSolid = "fas fa-turkish-lira-sign"
    TurnDownSolid = "fas fa-turn-down"
    TurnUpSolid = "fas fa-turn-up"
    TvSolid = "fas fa-tv"
    TwitchBrands = "fab fa-twitch"
    TwitterBrands = "fab fa-twitter"
    TwitterSquareBrands = "fab fa-twitter-square"
    Typo3Brands = "fab fa-typo3"
    USolid = "fas fa-u"
    UberBrands = "fab fa-uber"
    UbuntuBrands = "fab fa-ubuntu"
    UikitBrands = "fab fa-uikit"
    UmbracoBrands = "fab fa-umbraco"
    UmbrellaSolid = "fas fa-umbrella"
    UmbrellaBeachSolid = "fas fa-umbrella-beach"
    UnchartedBrands = "fab fa-uncharted"
    UnderlineSolid = "fas fa-underline"
    UniregistryBrands = "fab fa-uniregistry"
    UnityBrands = "fab fa-unity"
    UniversalAccessSolid = "fas fa-universal-access"
    UnlockSolid = "fas fa-unlock"
    UnlockKeyholeSolid = "fas fa-unlock-keyhole"
    UnsplashBrands = "fab fa-unsplash"
    UntappdBrands = "fab fa-untappd"
    UpDownSolid = "fas fa-up-down"
    UpDownLeftRightSolid = "fas fa-up-down-left-right"
    UpLongSolid = "fas fa-up-long"
    UpRightAndDownLeftFromCenterSolid = "fas fa-up-right-and-down-left-from-center"
    UpRightFromSquareSolid = "fas fa-up-right-from-square"
    UploadSolid = "fas fa-upload"
    UpsBrands = "fab fa-ups"
    UsbBrands = "fab fa-usb"
    UserSolid = "fas fa-user"
    User = "far fa-user"
    UserAstronautSolid = "fas fa-user-astronaut"
    UserCheckSolid = "fas fa-user-check"
    UserClockSolid = "fas fa-user-clock"
    UserDoctorSolid = "fas fa-user-doctor"
    UserGearSolid = "fas fa-user-gear"
    UserGraduateSolid = "fas fa-user-graduate"
    UserGroupSolid = "fas fa-user-group"
    UserInjuredSolid = "fas fa-user-injured"
    UserLargeSolid = "fas fa-user-large"
    UserLargeSlashSolid = "fas fa-user-large-slash"
    UserLockSolid = "fas fa-user-lock"
    UserMinusSolid = "fas fa-user-minus"
    UserNinjaSolid = "fas fa-user-ninja"
    UserNurseSolid = "fas fa-user-nurse"
    UserPenSolid = "fas fa-user-pen"
    UserPlusSolid = "fas fa-user-plus"
    UserSecretSolid = "fas fa-user-secret"
    UserShieldSolid = "fas fa-user-shield"
    UserSlashSolid = "fas fa-user-slash"
    UserTagSolid = "fas fa-user-tag"
    UserTieSolid = "fas fa-user-tie"
    UserXmarkSolid = "fas fa-user-xmark"
    UsersSolid = "fas fa-users"
    UsersGearSolid = "fas fa-users-gear"
    UsersSlashSolid = "fas fa-users-slash"
    UspsBrands = "fab fa-usps"
    UssunnahBrands = "fab fa-ussunnah"
    UtensilsSolid = "fas fa-utensils"
    VSolid = "fas fa-v"
    VaadinBrands = "fab fa-vaadin"
    VanShuttleSolid = "fas fa-van-shuttle"
    VaultSolid = "fas fa-vault"
    VectorSquareSolid = "fas fa-vector-square"
    VenusSolid = "fas fa-venus"
    VenusDoubleSolid = "fas fa-venus-double"
    VenusMarsSolid = "fas fa-venus-mars"
    VestSolid = "fas fa-vest"
    VestPatchesSolid = "fas fa-vest-patches"
    ViacoinBrands = "fab fa-viacoin"
    ViadeoBrands = "fab fa-viadeo"
    ViadeoSquareBrands = "fab fa-viadeo-square"
    VialSolid = "fas fa-vial"
    VialsSolid = "fas fa-vials"
    ViberBrands = "fab fa-viber"
    VideoSolid = "fas fa-video"
    VideoSlashSolid = "fas fa-video-slash"
    ViharaSolid = "fas fa-vihara"
    VimeoBrands = "fab fa-vimeo"
    VimeoSquareBrands = "fab fa-vimeo-square"
    VimeoVBrands = "fab fa-vimeo-v"
    VineBrands = "fab fa-vine"
    VirusSolid = "fas fa-virus"
    VirusCovidSolid = "fas fa-virus-covid"
    VirusCovidSlashSolid = "fas fa-virus-covid-slash"
    VirusSlashSolid = "fas fa-virus-slash"
    VirusesSolid = "fas fa-viruses"
    VkBrands = "fab fa-vk"
    VnvBrands = "fab fa-vnv"
    VoicemailSolid = "fas fa-voicemail"
    VolleyballSolid = "fas fa-volleyball"
    VolumeHighSolid = "fas fa-volume-high"
    VolumeLowSolid = "fas fa-volume-low"
    VolumeOffSolid = "fas fa-volume-off"
    VolumeXmarkSolid = "fas fa-volume-xmark"
    VrCardboardSolid = "fas fa-vr-cardboard"
    VuejsBrands = "fab fa-vuejs"
    WSolid = "fas fa-w"
    WalletSolid = "fas fa-wallet"
    WandMagicSolid = "fas fa-wand-magic"
    WandMagicSparklesSolid = "fas fa-wand-magic-sparkles"
    WandSparklesSolid = "fas fa-wand-sparkles"
    WarehouseSolid = "fas fa-warehouse"
    WatchmanMonitoringBrands = "fab fa-watchman-monitoring"
    WaterSolid = "fas fa-water"
    WaterLadderSolid = "fas fa-water-ladder"
    WaveSquareSolid = "fas fa-wave-square"
    WazeBrands = "fab fa-waze"
    WeeblyBrands = "fab fa-weebly"
    WeiboBrands = "fab fa-weibo"
    WeightHangingSolid = "fas fa-weight-hanging"
    WeightScaleSolid = "fas fa-weight-scale"
    WeixinBrands = "fab fa-weixin"
    WhatsappBrands = "fab fa-whatsapp"
    WhatsappSquareBrands = "fab fa-whatsapp-square"
    WheelchairSolid = "fas fa-wheelchair"
    WhiskeyGlassSolid = "fas fa-whiskey-glass"
    WhmcsBrands = "fab fa-whmcs"
    WifiSolid = "fas fa-wifi"
    WikipediaWBrands = "fab fa-wikipedia-w"
    WindSolid = "fas fa-wind"
    WindowMaximizeSolid = "fas fa-window-maximize"
    WindowMaximize = "far fa-window-maximize"
    WindowMinimizeSolid = "fas fa-window-minimize"
    WindowMinimize = "far fa-window-minimize"
    WindowRestoreSolid = "fas fa-window-restore"
    WindowRestore = "far fa-window-restore"
    WindowsBrands = "fab fa-windows"
    WineBottleSolid = "fas fa-wine-bottle"
    WineGlassSolid = "fas fa-wine-glass"
    WineGlassEmptySolid = "fas fa-wine-glass-empty"
    WirsindhandwerkBrands = "fab fa-wirsindhandwerk"
    WixBrands = "fab fa-wix"
    WizardsOfTheCoastBrands = "fab fa-wizards-of-the-coast"
    WoduBrands = "fab fa-wodu"
    WolfPackBattalionBrands = "fab fa-wolf-pack-battalion"
    WonSignSolid = "fas fa-won-sign"
    WordpressBrands = "fab fa-wordpress"
    WordpressSimpleBrands = "fab fa-wordpress-simple"
    WpbeginnerBrands = "fab fa-wpbeginner"
    WpexplorerBrands = "fab fa-wpexplorer"
    WpformsBrands = "fab fa-wpforms"
    WpressrBrands = "fab fa-wpressr"
    WrenchSolid = "fas fa-wrench"
    XSolid = "fas fa-x"
    XRaySolid = "fas fa-x-ray"
    XboxBrands = "fab fa-xbox"
    XingBrands = "fab fa-xing"
    XingSquareBrands = "fab fa-xing-square"
    XmarkSolid = "fas fa-xmark"
    YSolid = "fas fa-y"
    YCombinatorBrands = "fab fa-y-combinator"
    YahooBrands = "fab fa-yahoo"
    YammerBrands = "fab fa-yammer"
    YandexBrands = "fab fa-yandex"
    YandexInternationalBrands = "fab fa-yandex-international"
    YarnBrands = "fab fa-yarn"
    YelpBrands = "fab fa-yelp"
    YenSignSolid = "fas fa-yen-sign"
    YinYangSolid = "fas fa-yin-yang"
    YoastBrands = "fab fa-yoast"
    YoutubeBrands = "fab fa-youtube"
    YoutubeSquareBrands = "fab fa-youtube-square"
    ZSolid = "fas fa-z"
    ZhihuBrands = "fab fa-zhihu"


def readable_label_from_icon(i):
    """
    When the label is not provided
    We attempt to create a human readable
    label from the icon value by
    removing the "fa(r|s|l) fa-" prefix
    and replacing hyphens with spaces.
    """
    if isinstance(i, Icons):
        i = i.value
    return i[7:].replace("-", " ")


def inline_icon_html(i):
    """
    Used to insert an icon as an arg in a text element
    """
    label = readable_label_from_icon(i)
    return (
        f"<i class='{i.value}' title='{label}'></i><span class='sr-only'>{label}</span>"
    )


def parse_icon(i):
    if i is None:
        return None
    if isinstance(i, Icons):
        return i.value
    return Icons(i).value


def join_icon_label(label):
    return " ".join([str(chunk) for chunk in label])


class icon(StyledElement):
    """
    Creates a basic icon element.
    The label prop is recommended for accessibilty.
    """

    label = Prop("")
    value = Prop(parse=parse_icon)
    font_family = RemoveProp()
    font_weight = RemoveProp()

    def args_to_props(self, *args, **kwargs):
        if args and len(args) > 0:
            iconvalue = args[0]
            kwargs["value"] = iconvalue
            args = args[1:]
            if len(args) == 0:
                args = [readable_label_from_icon(iconvalue)]
            kwargs["label"] = join_icon_label(args)
        else:
            raise ValueError("icon must have a value")

        return super().args_to_props(*args, **kwargs)
