from ...core.unittests import simple_test
from ..label_element import LabelElement


@simple_test
def test_label_element(ctx):
    le = LabelElement("Hello")
    assert le.label == "Hello"

    # arg label wins over kwarg label
    le = LabelElement("Mello", label="Hello")
    assert le.label == "Mello"

    le = LabelElement(label="Hello")
    assert le.label == "Hello"

    # *args are joined by space
    le = LabelElement("Foo", "Bar", "Baz")
    assert le.label == "Foo Bar Baz"
